
Name:           async-http-client
Version:        1.7.14
Release:        1%{?dist}
Summary:        Asynchronous Http Client for Java

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/AsyncHttpClient/%{name}
Source0:        https://github.com/AsyncHttpClient/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-release-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  sonatype-oss-parent
BuildRequires:  netty


%description
Async Http Client library purpose is to allow Java applications to
easily execute HTTP requests and asynchronously process the HTTP
responses. The Async HTTP Client library is simple to use.


%package javadoc
Summary:   API documentation for %{name}
Group:     Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Remove things for which we are missing dependencies
%pom_remove_plugin :clirr-maven-plugin
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"
%pom_xpath_remove "pom:profiles/pom:profile[pom:id[text()='grizzly']]"

# Animal sniffer is causing more trouble than good
%pom_remove_plugin :animal-sniffer-maven-plugin


%build
# we don't have all test dependencies available so disable tests
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc README.md LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt


%changelog
* Thu May 02 2013 Michal Srb <msrb@redhat.com> - 1.7.14-1
- Update to upstream version 1.7.14

* Mon Apr 15 2013 Michal Srb <msrb@redhat.com> - 1.7.13-1
- Update to upstream version 1.7.13

* Fri Mar 15 2013 Michal Srb <msrb@redhat.com> - 1.7.12-1
- Update to upstream version 1.7.12

* Wed Mar 06 2013 Michal Srb <msrb@redhat.com> - 1.7.11-1
- Update to latest upstream version 1.7.11
- Build with XMvn

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.7.10-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jan 24 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7.10-1
- Update to upstream version 1.7.10

* Wed Dec 19 2012 Michal Srb <msrb@redhat.com> - 1.7.8-2
- Update to upstream version 1.7.9

* Mon Dec  3 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7.8-1
- Update to upstream version 1.7.8

* Mon Nov 12 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7.7-1
- Update to upstream version 1.7.7

* Thu Oct 25 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7.6-1
- Update to upstream version 1.7.6
- Update to current packaging guidelines

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.1-3
- Add maven-enforcer-plugin to BR

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6.1-1
- Update to latest upstream

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.1-2
- Add maven-shade-plugin to BR

* Mon Jan 17 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.1-1
- Initial version

